{% load i18n %}

<script type="text/javascript">
    $(document).ready(function(){
        var table=$('#tb').DataTable({
            dom: 'Bfrtip',
            autoWidth: true,
            buttons: [{extend:'excelHtml5',text: '导出到Excel'}],   
            language:lng,          
            data:{{data|safe}},        


            scrollY:        "400px",
            scrollCollapse: true,
            paging:         false,

            drawCallback: function () {
                var api = this.api();  

                //console.log(api.column(6,{page:'current'}).data().sum());
                console.log($('#tb tfoot tr.tt').find('th.tt'));

                $('#tb tfoot tr.tt').find('th.tt').html(
                    api.column(6,{page:'current'}).data().sum()
                );                   
            },              
        });     
        table.columns().every( function () {                        
            var that = this;             
            $('input', this.footer() ).on( 'keyup change clear', function () {
                if ( that.search() !== this.value ) {
                    that.search( this.value ).draw();
                }
            });


            
        }); 
        
              
        $('.datepicker').datepicker({dateFormat: 'yy-mm-dd'});        
        $('#dt_fr').val('{{dt_fr}}');  
        $('#dt_to').val('{{dt_to}}'); 
        setDatePickerZh();


        $('.btn-qry').click(function(){
            var date_from,date_to;           
            date_fr=$('#dt_fr').val();
            date_to=$('#dt_to').val();
            var params=[];            
            if(date_fr!=''){params.push('dt_fr='+date_fr)};
            if(date_to!=''){params.push('dt_to='+date_to)};

            if(params.length==0){
                bootbox.alert("{% trans '请先输入查询条件！'%}");
            }else{
                $.RefreshContent('{{request.path}}?'+params.join('&'));
            }
        });


        //2020-11-11
        $("[data-toggle='popover']").popover({
            html:true,
            placement:'bottom'
        });

        
    });
</script>



<ol class="breadcrumb">
        <li>{% trans "进销存报表" %}</li>
        <li>{% trans "瓶盖绑定产量查询" %}</li>     
</ol>



<form role="form"  class="form-inline" style="margin-top:0px;">
    <div class="col-sm-3 input-group">
        <span class="input-group-addon">{% trans "开始日期"%}</span>
        <input class="datepicker form-control" id="dt_fr"  value="{{dt_fr}}"/>
    </div>
    <div class="col-sm-3 input-group">
        <span class="input-group-addon">{% trans "结束日期"%}</span>
        <input class="datepicker form-control" id="dt_to" value="{{dt_to}}"/>
    </div>

    <div style="float:right;">
        <span class='input-group-btn'>
            <a type="button" class='btn btn-primary btn-qry'>
                <span class='glyphicon glyphicon-search' style='padding-right:5px;'></span>{% trans '查找' %}
            </a>
        </span>
        <!--
        <button class="btn btn-sm btn-primary btn-qry" type="button"><i class="fa fa-search"></i> {% trans '查找' %}</button>
        -->
    </div>
</form>

<div class="clearfix"></div>
</form>



<div class="x_panel">
        <div  class="table-responsive">

            <table id='tb'  class="table table-striped table-bordered dt-responsive nowrap" cellspacing="0" width="100%">
            <thead>
                {% for c in clmns %}
                    <th>{{c}}</th>
                {% endfor %}
            </thead>
            <tbody></tbody>
            <tfoot>
                <!--
                {% for c in clmns %}
                    <th><input type="text" placeholder="{{c}}"></th>            
                {% endfor %}       
                -->

                <tr class='fnd'>
                    {% for c in clmns %}                       
                        <th><input type="text" placeholder="{{c}}"></th>   
                    {% endfor %}
                </tr>
                <tr class='tt'>{% for c in clmns %}
                    {% ifequal forloop.counter 1 %}
                            <th>合计：</th>
                    {% else %}
                        {% ifequal forloop.counter 7 %}
                            <th class='tt'></th>
                        {% else %}
                            <th></th>
                        {% endifequal %}
                    {% endifequal %}
                {% endfor %}</tr>                   
            </tfoot>
            </table>
        </div>
</div>

